<script>
    import Button from "../components/Button.svelte";
    import Input from "../components/Input.svelte";
    import FormName from "../components/FormName.svelte";
    import {userbaseStore, userStore, promiseStore} from '../stores'

    let password, username

    function signin() {

       $promiseStore = $userbaseStore.signIn({ username, password })
        .then((user) => $userStore = user )
        
        window.location = "#/dashboard"
    }
</script>

    <form on:submit|preventDefault={signin}
    class="lg:w-2/6 md:w-1/2 bg-gray-100 rounded-lg p-8 flex flex-col w-full mt-10 md:mt-0">
        <FormName formName="Sign In" href="/"> Sign up</FormName>
        <Input label="Username" bind:value={username} type="text" required/>
        <Input label="Password" bind:value={password} type="password" required/>
        <Button>Sign In</Button>
        
        <p class="text-xs text-gray-500 mt-3">Literally you probably haven't heard of them jean shorts.</p>
    </form>
